# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"9615-4721-3936-4657",
   "name":"OpenWebStart 1.9.1",
   "version":"1.9.1",
   "install_date":"",
   "install_location":"C:\\Program Files\\OpenWebStart",
   "uninstall_string":"\"C:\\Program Files\\OpenWebStart\\uninstall.exe\"",
   "publisher":"Karakun AG",
   "system_component":0,
   "win64":true
  }
"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('OpenWebStart_windows-x64_*.exe')[0]
    # Installing the software

    install_exe_if_needed('OpenWebStart_windows-x64_1_9_1.exe',
        silentflags='-q',
        key='9615-4721-3936-4657',
        min_version = control.get_software_version(),
    )
    uninstallkey.clear()
    
def uninstall():

    killalltasks(['OpenWebStart_windows-x64_*.exe'])
    for uninstall in installed_softwares('OpenWebStart'):
        if not uninstall_key_exists(uninstall['key']):
            continue
        uninstall_string = uninstall.get("uninstall_string", "")
        print(f"Uninstalling OpenWebStart: {uninstall_string}")
        run(f"{uninstall_string} -q")
        wait_uninstallkey_absent(uninstall['key'],max_loop=600)


